PreInsertEvent (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class PreInsertEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.AbstractPreDatabaseOperationEvent
              org.hibernate.event.spi.PreInsertEvent

All Implemented Interfaces:
  Serializable

    public class PreInsertEvent

extends AbstractPreDatabaseOperationEvent

Represents a `pre-insert` event, which occurs just prior to performing the insert of an entity into the database.

See Also:
  Serialized Form

Constructor Summary
`PreInsertEvent(Object entity, Serializable id, Object[] state, EntityPersister persister, EventSource source)` Constructs an event containing the pertinent information.

Method Summary
`Object[]` | `getState()` Getter for property 'state'.

Methods inherited from class org.hibernate.event.spi.AbstractPreDatabaseOperationEvent
`getEntity, getId, getPersister, getSource`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreInsertEvent

    public PreInsertEvent(Object entity,
                          Serializable id,
                          Object[] state,
                          EntityPersister persister,
                          EventSource source)

  Constructs an event containing the pertinent information.

  Parameters:
    `entity` - The entity to be inserted.
    `id` - The id to use in the insertion.
    `state` - The state to be inserted.
    `persister` - The entity's persister.
    `source` - The session from which the event originated.

Method Detail

### getState

    public Object[] getState()

  Getter for property 'state'. These are the values to be inserted.

  Returns:
    Value for property 'state'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.